import Http from '../http';
export const login = function(loginForm: any) {
    return Http.post('/api/backend/login/login', loginForm)
}

export const getMenu = function(loginForm: any) {
    return Http.post('/api/backend/login/getAuth', loginForm)
}

//基础评分项列表
export const homeGetHierarchicalData = function(date: any) {
    return Http.post('/api/backend/basic_rating/getHierarchicalData', date)
}
//基础评分项新增
export const homeGetHierarchicalDataCreate= function(date: any) {
    return Http.post('/api/backend/basic_rating/create', date)
}
//基础评分项编辑
export const homeGetHierarchicalDataUpdate= function(date: any) {
    return Http.post('/api/backend/basic_rating/update', date)
}
//基础评分项删除
export const homeGetHierarchicalDataDelete= function(date: any) {
    return Http.post('/api/backend/basic_rating/delete', date)
}
//加减分列表
export const scoringGetHierarchicalData= function(date: any) {
    return Http.post('/api/backend/plus_minus_scoring/getHierarchicalData', date)
}
//加减分添加
export const scoringGetHierarchicalDataCreate= function(date: any) {
    return Http.post('/api/backend/plus_minus_scoring/create', date)
}
//加减分编辑
export const scoringGetHierarchicalDataUpdate= function(date: any) {
    return Http.post('/api/backend/plus_minus_scoring/update', date)
}
//加减分删除
export const scoringGetHierarchicalDataDelete= function(date: any) {
    return Http.post('/api/backend/plus_minus_scoring/delete', date)
}
//所属考评项目
export const getHierarchicalTwo= function(date: any) {
    return Http.post('/api/backend/basic_rating/getHierarchicalTwo', date)
}

//考评时间管理
export const scheduleList= function(date: any) {
    return Http.post('/api/backend/evaluation_schedule/getHierarchicalData', date)
}
//考评时间管理
export const scheduleCreate= function(date: any) {
    return Http.post('/api/backend/evaluation_schedule/create', date)
}

//考评时间管理
export const scheduleUpdate= function(date: any) {
    return Http.post('/api/backend/evaluation_schedule/update', date)
}

//考评时间管理
export const scheduleDelete= function(date: any) {
    return Http.post('/api/backend/evaluation_schedule/delete', date)
}
//月度考评
export const MonthlyList= function(date: any) {
    return Http.post('/api/backend/Monthly/getMonthlyData', date)
}
//月度考评（考评题目）
export const MonthlyContent= function(date: any) {
    return Http.post('/api/backend/Monthly/getMonthly', date)
}
//月度考评（考评题目评价）
export const MonthlyCreate= function(date: any) {
    return Http.post('/api/backend/Monthly/create', date)
}
//月度考评（详情）
export const MonthlyInfo= function(date: any) {
    return Http.post('/api/backend/Monthly/getMonthlyFind', date)
}

//季度考评
export const QuarterList= function(date: any) {
    return Http.post('/api/backend/Quarter/getQuarterlyData', date)
}
//季度考评
export const QuarterContent= function(date: any) {
    return Http.post('/api/backend/Quarter/getMonthly', date)
}

//季度考评（考评题目评价）
export const QuarterCreate= function(date: any) {
    return Http.post('/api/backend/Quarter/create', date)
}
//季度考评（考评题目详情）
export const QuarterInfo= function(date: any) {
    return Http.post('/api/backend/Quarter/getQuarterFind', date)
}


//年度考评（列表）
export const YearList= function(date: any) {
    return Http.post('/api/backend/Year/getAnnualData', date)
}
//年度考评（考评题目）
export const YearContent= function(date: any) {
    return Http.post('/api/backend/Year/getYear', date)
}

//年度考评（考评题目评价）
export const YearCreate= function(date: any) {
    return Http.post('/api/backend/Year/create', date)
}
//年度考评（考评题目详情）
export const YearInfo= function(date: any) {
    return Http.post('/api/backend/Year/getYearFind', date)
}
//科室列表
export const userGroupData= function(date: any) {
    return Http.post('/api/backend/User_group/getUserGroupData', date)
}
//科室列表(新增)
export const userGroupDataAdd= function(date: any) {
    return Http.post('/api/backend/User_group/create', date)
}
//科室列表(编辑)
export const userGroupDataEdit= function(date: any) {
    return Http.post('/api/backend/User_group/update', date)
}
//科室列表(删除)
export const userGroupDataDel= function(date: any) {
    return Http.post('/api/backend/User_group/delete', date)
}



//党支部列表
export const partyGroupData= function(date: any) {
    return Http.post('/api/backend/Party_group/getPartyGroupData', date)
}
//党支部列表(新增)
export const partyGroupDataAdd= function(date: any) {
    return Http.post('/api/backend/Party_group/create', date)
}
//党支部列表(编辑)
export const partyGroupDataEdit= function(date: any) {
    return Http.post('/api/backend/Party_group/update', date)
}
//党支部列表(删除)
export const partyGroupDataDel= function(date: any) {
    return Http.post('/api/backend/Party_group/delete', date)
}

//菜单列表
export const menuData= function(date: any) {
    return Http.post('/api/backend/auth_rule/getAuthRuleData', date)
}
//菜单列表(新增)
export const menuDataAdd= function(date: any) {
    return Http.post('/api/backend/auth_rule/create', date)
}
//菜单(编辑)
export const menuDataEdit= function(date: any) {
    return Http.post('/api/backend/auth_rule/update', date)
}
//菜单(删除)
export const menuDataDel= function(date: any) {
    return Http.post('/api/backend/auth_rule/delete', date)
}


//角色列表
export const authGroupData= function(date: any) {
    return Http.post('/api/backend/auth_group/getAuthGroupData', date)
}
//角色列表(新增)
export const authGroupDataAdd= function(date: any) {
    return Http.post('/api/backend/auth_group/create', date)
}
//角色列表(编辑)
export const authGroupDataEdit= function(date: any) {
    return Http.post('/api/backend/auth_group/update', date)
}
//角色列表(删除)
export const authGroupDataDel= function(date: any) {
    return Http.post('/api/backend/auth_group/delete', date)
}


//人员列表
export const userData= function(date: any) {
    return Http.post('/api/backend/user/getUserData', date)
}
//人员列表(新增)
export const userDataAdd= function(date: any) {
    return Http.post('/api/backend/user/create', date)
}
//人员列表(编辑)
export const userDataEdit= function(date: any) {
    return Http.post('/api/backend/user/update', date)
}
//人员列表(删除)
export const userDataDel= function(date: any) {
    return Http.post('/api/backend/user/delete', date)
}


//考评时间tab (月)
export const userEvaluationData= function(date: any) {
    return Http.post('/api/backend/Monthly/getEvaluation', date)
}
//考评时间tab (季)
export const userQuarterData= function(date: any) {
    return Http.post('/api/backend/Quarter/getEvaluation', date)
}
//考评时间tab (年)
export const userYearData= function(date: any) {
    return Http.post('/api/backend/Year/getEvaluation', date)
}


//根据用户判断当前科室
export const getUserGroupNew= function(date: any) {
    return Http.post('/api/backend/Monthly/getUserGroup', date)
}


//当前月度管理tab
export const getGroupEvaluation= function(date: any) {
    return Http.post('/api/backend/Monthly/getGroupEvaluation', date)
}
//当前月度管理List
export const getMonthlyUserList= function(date: any) {
    return Http.post('/api/backend/Monthly/getUserList', date)
}
//当前月度用户详情
export const getMonthlyListFind= function(date: any) {
    return Http.post('/api/backend/Monthly/getMonthlyListFind', date)
}
//当前月度用户科室评价
export const getMonthlyListUpdate= function(date: any) {
    return Http.post('/api/backend/Monthly/getMonthlyListUpdate', date)
}



//当前季度管理tab
export const getGroupQuarter= function(date: any) {
    return Http.post('/api/backend/Quarter/getGroupEvaluation', date)
}
//当前季度管理List
export const getQuarterUserList= function(date: any) {
    return Http.post('/api/backend/Quarter/getUserList', date)
}
//当前季度用户详情
export const getQuarterListFind= function(date: any) {
    return Http.post('/api/backend/Quarter/getMonthlyListFind', date)
}
//当前季度用户科室评价
export const getQuarterListUpdate= function(date: any) {
    return Http.post('/api/backend/Quarter/getMonthlyListUpdate', date)
}



//当前年末管理tab
export const getGroupYear= function(date: any) {
    return Http.post('/api/backend/Year/getGroupEvaluation', date)
}
//当前年末管理List
export const getYearUserList= function(date: any) {
    return Http.post('/api/backend/Year/getUserList', date)
}
//当前年末用户详情
export const getYearListFind= function(date: any) {
    return Http.post('/api/backend/Year/getMonthlyListFind', date)
}
//当前年末用户科室评价
export const getYearListUpdate= function(date: any) {
    return Http.post('/api/backend/Year/getMonthlyListUpdate', date)
}

//拒收红包列表
export const getRejectRedEnvelopes= function(date: any) {
    return Http.post('/api/backend/reject_red_envelopes/index', date)
}
//拒收红包列表(新增)
export const rejectRedEnvelopesCreate= function(date: any) {
    return Http.post('/api/backend/reject_red_envelopes/create', date)
}
//拒收红包列表(编辑)
export const rejectRedEnvelopesUpdate= function(date: any) {
    return Http.post('/api/backend/reject_red_envelopes/examine', date)
}
//所有用户
export const getDoctorName= function(date: any) {
    return Http.post('/api/backend/user/getDoctorName', date)
}
//加分减分记录
export const getAddition= function(date: any) {
    return Http.post('/api/backend/addition_and_subtraction_records/index', date)
}
//加分减分记录(新增)
export const getAdditionCreate= function(date: any) {
    return Http.post('/api/backend/addition_and_subtraction_records/create', date)
}
//加分减分记录(编辑)
export const getAdditionUpdate= function(date: any) {
    return Http.post('/api/backend/addition_and_subtraction_records/update', date)
}
//加分减分记录(删除)
export const getAdditionDelete= function(date: any) {
    return Http.post('/api/backend/addition_and_subtraction_records/delete', date)
}

//加分减分管理
export const getAdditionIndexManage= function(date: any) {
    return Http.post('/api/backend/addition_and_subtraction_records/index_manage', date)
}
//加分减分审核
export const getAdditionIndexManageExamine= function(date: any) {
    return Http.post('/api/backend/addition_and_subtraction_records/examine', date)
}

// 获取通知公告列表
export function noticeList(data: any) {
  return Http.post('/api/backend/public_announcement/getPublicAnnouncementData', data)
}

// 新增通知公告
export function noticeAdd(data: any) {
    return Http.post('/api/backend/public_announcement/create', data)
}

// 编辑通知公告
export function noticeEdit(data: any) {
    return Http.post('/api/backend/public_announcement/update', data)
}

// 删除通知公告
export function noticeDelete(data: any) {
    return Http.post('/api/backend/public_announcement/delete', data)
}

// 上传图片
export function uploadImage(data: any) {
    return Http.post('/api/common/upload', data)
}

// 日志列表
export function logList(data: any) {
    return Http.post('/api/backend/Logrecording/index', data)
}

// 查询某一个用户所有的月度考评
export function getMonthlyFindData(data: any) {
    return Http.post('/api/backend/Monthly/getMonthlyFindData', data)
}
// 查询某一个用户所有的季度考评
export function getQuarterlyFindData(data: any) {
    return Http.post('/api/backend/Quarter/getQuarterlyFindData', data)
}
// 查询某一个用户所有的年度考评
export function getAnnualFindData(data: any) {
    return Http.post('/api/backend/Year/getAnnualFindData', data)
}

// 投诉列表
export function getPoliticsList(data: any) {
    return Http.post('/api/backend/Politics/index', data)
}
// 投诉列表（编辑）
export function getPoliticsEdit(data: any) {
    return Http.post('/api/backend/Politics/update', data)
}

// 个人档案详情
export function getPersonalProfile(data: any) {
    return Http.post('/api/backend/user/personalProfile', data)
}

// 左侧科室列表
export function personalProfileList(data: any) {
    return Http.post('/api/backend/Personal_profile/index', data)
}
// 右侧人员列表
export function personalProfileFind(data: any) {
    return Http.post('/api/backend/Personal_profile/find', data)
}

// 月度评价
export function monthlyEvaluation(data: any) {
    return Http.post('/api/backend/Evaluate/index', data)
}
// 月度新增评价
export function monthlyEvaluationCreate(data: any) {
    return Http.post('/api/backend/Evaluate/create', data)
}
// 评价管理列表
export function monthlyEvaluationGroupIndex(data: any) {
    return Http.post('/api/backend/Evaluate/groupIndex', data)
}
// 科室评价
export function monthlyEvaluationGroupUpdate(data: any) {
    return Http.post('/api/backend/Evaluate/groupUpdate', data)
}
// 科室评价
export function monthlyEvaluationGroupIndexrecords(data: any) {
    return Http.post('/api/backend/Evaluate/groupIndexrecords', data)
}
// 加减法详情
export function evaluationGroupIndexrecordsList(data: any) {
    return Http.post('/api/backend/Evaluate/groupIndexrecordsList', data)
}



































